# Contributing to EOgmaNeo

Thank you for your interest in contributing to EOgmaNeo!

## How to Contribute

Follow these steps to contribute code or documentation to this project:

1. Download and review carefully our [Contributor Agreement](https://ogma.ai/wp-content/uploads/2016/09/OgmaContributorAgreement.pdf), and send us a completed and signed copy.

   Please sign this agreement with a pen, as we do not accept electronic signatures.<br/>
   Then email a scanned copy of this agreement to contributing@ogmacorp.com, or send us an original paper copy by [snail mail](https://ogma.ai/contact-ogma-ai/).

   You need to do this only once, before your first contribution.

2. For large contributions (see below), make sure to first discuss your ideas with us via a GitHub issue or by sending us an email at contributing@ogmacorp.com

3. Fork this repository.

4. Follow this project's naming and coding conventions when implementing your contribution - we want to keep all our source code consistent.

5. Submit a pull request.

We review carefully any contribution that we accept, and these reviews may take some time. Please keep in mind there is no guarantee your contribution will be accepted: we may reject a pull request for any reason, or no reason.

## Our Favorite Contributions

We prefer small contributions as they are easier to review and integrate. If you want to contribute but don't know where to start, consider one of these areas:

 * New sample programs

 * Small bug fixes that affect only one or a few source files

 * Fixes for the documentation

## Large Contributions

Please don't spend weeks or months on a new feature without checking with us first!

Some contributions are troublesome and therefore difficult to accept:

 * New features that require a new version of the OgmaNeo and/or EOgmaNeo library, and Flatbuffers schemas<br/>

 * New features that may be useful for your project but are not obviously useful to other projects<br/>
   We want to keep our software lean and focused!

 * Any update that breaks source compatibility with the most recent release

## Contact

 * Website: https://ogma.ai/contact-ogma-ai/
 * Twitter: https://twitter.com/ogmacorp
 * Gitter: https://gitter.im/ogmaneo
 * Email: contributing@ogmacorp.com
